class ApplicationController < ActionController::Base
  before_action :configure_permitted_parameters, if: :devise_controller?

  protected

  def configure_permitted_parameters
    devise_parameter_sanitizer.permit(:sign_up, keys: [:invitation_token])
  end

  def authorize_shiftcoordinator
    unless current_user.shiftcoordinator?
      render plain: 'Forbidden', status: :forbidden
    end
  end
end
